# Uses of Class
org.apache.wiki.parser.WikiDocument

Packages that use WikiDocument
Package
Description
org.apache.wiki.parser
org.apache.wiki.render
Provides the JSPWiki rendering functionality.

## Uses of WikiDocument in org.apache.wiki.parser

Methods in org.apache.wiki.parser that return WikiDocument
Modifier and Type
Method
Description
`WikiDocument`
JSPWikiMarkupParser.`parse()`
Parses the entire document from the Reader given in the constructor or set by `MarkupParser.setInputReader(Reader)`.
`abstract WikiDocument`
MarkupParser.`parse()`
Parses the document.

## Uses of WikiDocument in org.apache.wiki.render

Fields in org.apache.wiki.render declared as WikiDocument
Modifier and Type
Field
Description
`protected final WikiDocument`
WikiRenderer.`m_document`
Methods in org.apache.wiki.render that return WikiDocument
Modifier and Type
Method
Description
`WikiDocument`
DefaultRenderingManager.`getRenderedDocument(Context context, String pagedata)`
Returns a cached document, if one is found.
`WikiDocument`
RenderingManager.`getRenderedDocument(Context context, String pagedata)`
Returns a cached document, if one is found.
Methods in org.apache.wiki.render with parameters of type WikiDocument
Modifier and Type
Method
Description
`String`
DefaultRenderingManager.`getHTML(Context context, WikiDocument doc)`
Simply renders a WikiDocument to a String.
`String`
RenderingManager.`getHTML(Context context, WikiDocument doc)`
Simply renders a WikiDocument to a String.
`WikiRenderer`
DefaultRenderingManager.`getRenderer(Context context, WikiDocument doc)`
Returns a WikiRenderer instance, initialized with the given context and doc.
`WikiRenderer`
RenderingManager.`getRenderer(Context context, WikiDocument doc)`
Returns a WikiRenderer instance, initialized with the given context and doc.
`WikiRenderer`
DefaultRenderingManager.`getWysiwygRenderer(Context context, WikiDocument doc)`
Returns a WikiRenderer instance meant for WYSIWYG editing, initialized with the given context and doc.
`WikiRenderer`
RenderingManager.`getWysiwygRenderer(Context context, WikiDocument doc)`
Returns a WikiRenderer instance meant for WYSIWYG editing, initialized with the given context and doc.
Constructors in org.apache.wiki.render with parameters of type WikiDocument
Modifier
Constructor
Description
``
`CleanTextRenderer(Context context, WikiDocument doc)`
Create a renderer.
``
`CreoleRenderer(Context ctx, WikiDocument doc)`
Creates a new Creole Renderer.
`protected`
`WikiRenderer(Context context, WikiDocument doc)`
Create a WikiRenderer.
``
`WysiwygEditingRenderer(Context context, WikiDocument doc)`
Creates a WYSIWYG editing renderer.
``
`XHTMLRenderer(Context context, WikiDocument doc)`
Creates an XHTML 1.0 renderer.